## org.flexdock.docking.adapter
Class MappingReader

    java.lang.Object
      org.flexdock.docking.adapter.MappingReader

Deprecated. This class will become package-private.

    public class MappingReader

extends java.lang.Object

Author:
  Christopher Butler

Field Summary
`static java.lang.String` `ADAPTER_KEY` Deprecated.
`static java.lang.String` `CLASS_KEY` Deprecated.
`static java.lang.String` `CLIENT_KEY` Deprecated.
`static java.lang.String` `FLEXDOCK_KEY` Deprecated.
`static java.lang.String` `METHOD_KEY` Deprecated.

Constructor Summary
`MappingReader()` Deprecated.

Method Summary
`AdapterMapping[]` `readMappings(org.w3c.dom.Document mappingDoc)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ADAPTER_KEY

    public static final java.lang.String ADAPTER_KEY

  Deprecated.
  See Also:
    Constant Field Values

### CLASS_KEY

    public static final java.lang.String CLASS_KEY

  Deprecated.
  See Also:
    Constant Field Values

### METHOD_KEY

    public static final java.lang.String METHOD_KEY

  Deprecated.
  See Also:
    Constant Field Values

### FLEXDOCK_KEY

    public static final java.lang.String FLEXDOCK_KEY

  Deprecated.
  See Also:
    Constant Field Values

### CLIENT_KEY

    public static final java.lang.String CLIENT_KEY

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### MappingReader

    public MappingReader()

  Deprecated.

Method Detail

### readMappings

    public AdapterMapping[] readMappings(org.w3c.dom.Document mappingDoc)

  Deprecated.